Subject: Re: RX problem in ibm_newemac driver

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 11 Mar 2009 09:57:12 +1100

On Wed, 2009-03-11 at 00:14 +0200, Felix Radensky wrote:
> Yes, seems logical. U-boot has code to enable and disable loopback clock
> for 440SPE, 440EPX,440GRX,405EX, 460EX and 460GT.
> 
> I can test patches on my board. Alternatively, I can try something myself
> if you can provide some guidance. I guess you are referring to the code 
> using
> EMAC_FTR_440GX_PHY_CLK_FIX and EMAC_FTR_440EP_PHY_CLK_FIX.

It would be nice if you could try something as I don't have anything to
test here.

And yes, it's probably one of those 2 fixes that need to be extended.

I'll have a look later today if I can find the 405EXr user manual and
give you more precise guidance.

Cheers,
Ben.